/*----------------------------------------------------------------------
* Copyright Channel Blaster Int'l
*
* http://www.ChannelBlaster.com
*
* You are free to copy and modify this code. However, please leave this
* comment in place.
*
* February 1998
----------------------------------------------------------------------*/
package FourEyes;

import java.beans.*;
import java.awt.*;

public class FourEyesBeanInfo extends SimpleBeanInfo 
{
  public PropertyDescriptor[] getPropertyDescriptors() 
  {
    try 
    {
      PropertyDescriptor 
        enabled = new PropertyDescriptor("enabled", FourEyes.class),
        filepath = new PropertyDescriptor("filepath", FourEyes.class),
        destination = new PropertyDescriptor("destination", FourEyes.class);        

      // Define help messages for IDE's (these are NOT supported in the BeanBox)        
      enabled.setShortDescription("Show debug messages?");
      filepath.setShortDescription("Filepath to logfile.");
      destination.setShortDescription("Destination for messages.");

      PropertyDescriptor[] props = {enabled, filepath, destination};

      // Set the property editor for the 'destination' variable
      props[2].setPropertyEditorClass(FourEyesEditor.class);
        
      return props;
    }
    catch (IntrospectionException e) 
    {
      return super.getPropertyDescriptors();
    }
  }  

  //--------------------------------------------------- 
  //---------------------------------------------------  
  public Image getIcon(int kind) 
  {
    if (kind == ICON_COLOR_16x16)
      return loadImage("FourEyes.gif");
    else
      return null;  
  }
}
