/*----------------------------------------------------------------------
* Copyright Channel Blaster Int'l
*
* http://www.ChannelBlaster.com
*
* You are free to copy and modify this code. However, please leave this
* comment in place.
*
* February 1998
----------------------------------------------------------------------*/
package FourEyes;

public class FourEyesEditor extends java.beans.PropertyEditorSupport 
{
  static final String outputConsole = "Console";
  static final String outputFile = "File";  
  static final String outputBoth = "Both";

  //---------------------------------------------------  
  //---------------------------------------------------  
  public String[] getTags() 
  {
    return new String[] {outputConsole, outputFile, outputBoth };
  }

  //---------------------------------------------------
  //---------------------------------------------------  
  public void setAsText(String str) 
  {
    if (str.equals(outputConsole))
      setValue(new Integer(FourEyes.CONSOLE));
    else if (str.equals(outputFile))
      setValue(new Integer(FourEyes.FILE));    
    else if (str.equals(outputBoth))
      setValue(new Integer(FourEyes.BOTH));    
    else 
      throw new IllegalArgumentException (str);
  }
}
